Subject: [Ecrit] [Editorial Errata Reported] RFC5031 (6359)

From: RFC Errata System <[email-masked]>
Date: Sat, 19 Dec 2020 11:48:59 -0800 (PST)

The following errata report has been submitted for RFC5031,
"A Uniform Resource Name (URN) for Emergency and Other Well-Known Services".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6359

--------------------------------------
Type: Editorial
Reported by: Dale R. Worley <[email-masked]>

Section: 4.2, 7.2

Original Text
-------------
In section 4.2:

The 'sos' service type describes emergency services requiring an
immediate response, typically offered by various branches of the
government or other public institutions.

Corrected Text
--------------
In section 4.2, add a reference:

The 'sos' service type describes emergency services requiring an
immediate response, typically offered by various branches of the
government or other public institutions. [IRC]

In section 7.2, add a reference:

[IRC] Service Regulations annexed to the International Radiotelegraphic
Convention, Berlin, 1906, section 6. a., article XVI.
https://babel.hathitrust.org/cgi/pt?id=hvd.32044103239133&view=1up&seq=36

Notes
-----
The referenced section of the protocols of the convention is "Ships in distress make use of the following signal: . . . - - - . . .  repeated at short intervals. ...".

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5031 (draft-ietf-ecrit-service-urn-07)
--------------------------------------
Title               : A Uniform Resource Name (URN) for Emergency and Other Well-Known Services
Publication Date    : January 2008
Author(s)           : H. Schulzrinne
Category            : PROPOSED STANDARD
Source              : Emergency Context Resolution with Internet Technologies RAI
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: Barry Leiba <[email-masked]>
Date: Sat, 19 Dec 2020 15:43:40 -0500

Hi, Dale, and thanks for taking the time to file this.

I’m quite sure this isn’t really “errata”, though, in that there was never
an intent to include a reference that explains the background of why it’s
called “sos”.  And while the reference might be good for amusement, it
doesn’t relate to this usage... the RFC itself explains everything
necessary, and the only thing the reference adds is a pointer to why it’s
called “sos”.

So unless the working group (which is CCed here) thinks it’s worth making
this “Held For Document Update”, I’m inclined to mark it “Rejected”.
Anyone ecrit working group denizens care to comment?

Barry

On Sat, Dec 19, 2020 at 2:49 PM RFC Errata System <[email-masked]>
wrote:

> The referenced section of the protocols of the convention is "Ships in
> distress make use of the following signal: . . . - - - . . .  repeated at
> short intervals. ...".
>
> Instructions:
> -------------

---

From: Brian Rosen <[email-masked]>
Date: Sat, 19 Dec 2020 15:54:11 -0500

I agree with you.  Sos is a convenient, well understood term used for emergencies and we don’t need a reference for it.  So, I would recommend “Reject”

Brian

> On Dec 19, 2020, at 3:43 PM, Barry Leiba <[email-masked]> wrote:
> 
> I’m quite sure this isn’t really “errata”, though, in that there was never an intent to include a reference that explains the background of why it’s called “sos”.  And while the reference might be good for amusement, it doesn’t relate to this usage... the RFC itself explains everything necessary, and the only thing the reference adds is a pointer to why it’s called “sos”.
> 
> So unless the working group (which is CCed here) thinks it’s worth making this “Held For Document Update”, I’m inclined to mark it “Rejected”.  Anyone ecrit working group denizens care to comment?
> 
> Barry
> 
> On Sat, Dec 19, 2020 at 2:49 PM RFC Errata System <[email-masked] <mailto:[email-masked]>> wrote:
> https://www.rfc-editor.org/errata/eid6359 <https://www.rfc-editor.org/errata/eid6359>
> 
> Reported by: Dale R. Worley <[email-masked] <mailto:[email-masked]>>
> 
> Section: 4.2, 7.2
> 
> Original Text
> -------------
> In section 4.2:
> 
> https://babel.hathitrust.org/cgi/pt?id=hvd.32044103239133&view=1up&seq=36 <https://babel.hathitrust.org/cgi/pt?id=hvd.32044103239133&view=1up&seq=36>
> 
> 
> Notes
> -----
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit

---

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 19 Dec 2020 20:17:41 -0500

Agree.

On Sat, Dec 19, 2020 at 3:43 PM Barry Leiba <[email-masked]> wrote:

> On Sat, Dec 19, 2020 at 2:49 PM RFC Errata System <
> [email-masked]> wrote:
>

---

From: "Randall Gellens" <[email-masked]>
Date: Mon, 21 Dec 2020 16:03:39 -0800

Can you reject with a note saying "Thanks, the reference is entertaining 
and appreciated, but doesn't add to a reader's understanding of the 
RFC"?

--Randall

---

From: [email-masked] (Dale R. Worley)
Date: Mon, 21 Dec 2020 21:48:01 -0500

> necessary, and the only thing the reference adds is a pointer to why it’s

Well, y'all can do whatever you want, of course.  Personally, I've
always wanted to know the history of the standardization of "SOS", and I
see nothing improper to providing a reference to the first standard
specifying "SOS", which is actually why that combination of letters is
used in the RFC.

Dale

---

From: Barry Leiba <[email-masked]>
Date: Mon, 21 Dec 2020 22:26:33 -0500

Oh, nothing improper at all about including a reference, and if we were
writing or revising the document now we might well include it.  This is
just an errata-process issue, nothing more.

Barry

---

From: [email-masked] (Dale R. Worley)
Date: Tue, 22 Dec 2020 22:42:11 -0500

> just an errata-process issue, nothing more.

There is "hold for document update", IIRC.

Dale